aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/jenkins/build_docker_and_run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/jenkins/build_docker_and_run_tests.sh')
-rwxr-xr-xtools/jenkins/build_docker_and_run_tests.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tools/jenkins/build_docker_and_run_tests.sh b/tools/jenkins/build_docker_and_run_tests.sh
index 9f97f39e75..2c562e992a 100755
--- a/tools/jenkins/build_docker_and_run_tests.sh
+++ b/tools/jenkins/build_docker_and_run_tests.sh
@@ -74,6 +74,10 @@ then
docker cp "$DOCKER_CID:/var/local/git/grpc/$XML_REPORT" $git_root
fi
+docker cp "$DOCKER_CID:/var/local/git/grpc/reports.zip" $git_root || true
+unzip $git_root/reports.zip -d $git_root || true
+rm -f reports.zip
+
# remove the container, possibly killing it first
docker rm -f $DOCKER_CID || true